## org.eclipse.datatools.connectivity.sqm.loader
Interface JDBCTableLoader.ITableFactory

All Known Implementing Classes:
  JDBCTableLoader.TableFactory

Enclosing interface:
  JDBCTableLoader

public static interface JDBCTableLoader.ITableFactory

Interface for providing creation logic for tables.

Method Summary
`Table` `createTable(java.sql.ResultSet rs)` Creates and initializes a table object based on the meta-data in the result set.
`EClass` `getTableEClass()`
`void` `initialize(Table table, java.sql.ResultSet rs)` Initializes a table object based on the meta-data in the result set.
`void` `setSupportedColumns(java.util.Set supportedColumns)` Specify the column names supported by the result set.

Method Detail

### getTableEClass

    public EClass getTableEClass()

  Returns:
    the EClass used to represent the routine objects created by this factory. This is used to identify existing objects in the model during a refresh (e.g. to reuse the object, preventing external references from breaking).

### createTable

    public Table createTable(java.sql.ResultSet rs)
                      throws java.sql.SQLException

  Creates and initializes a table object based on the meta-data in the result set.

  Parameters:
    `rs` - the result set
  Returns:
    a new, initialized Table object.
  Throws:
    `java.sql.SQLException` - if anything goes wrong

### initialize

    public void initialize(Table table,
                           java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Initializes a table object based on the meta-data in the result set. The table object may be a new table requiring initialization or an existing table that is being reinitialized.

  Parameters:
    `table` - the table to initialize
    `rs` - the result set
  Throws:
    `java.sql.SQLException` - if anything goes wrong

### setSupportedColumns

    public void setSupportedColumns(java.util.Set supportedColumns)

  Specify the column names supported by the result set. These names can be used to determine whether or not a specific ResultSet.get*() method is available for a particular named column.

  Parameters:
    `supportedColumns` - column names defined within the result set.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.